%define upstream_name    HTML-Strip
%define upstream_version 2.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for stripping HTML markup from text
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module simply strips HTML-like markup from text in a very quick and
brutal manner. It could quite easily be used to strip XML or SGML from text
as well; but removing HTML markup is a much more common problem, hence this
module lives in the HTML:: namespace.

It is written in XS, and thus about five times quicker than using regular
expressions for the same task.

It does _not_ do any syntax checking (if you want that, use the
HTML::Parser manpage), instead it merely applies the following rules:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.100.0-2.mga6
+ Revision: 1028302
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 2.100.0-1.mga6
+ Revision: 1007879
- update to 2.10

* Fri Feb 12 2016 umeabot <umeabot> 2.90.0-2.mga6
+ Revision: 957506
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 2.90.0-1.mga6
+ Revision: 843210
- update to 2.09

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-10.mga5
+ Revision: 744507
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-9.mga5
+ Revision: 684962
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.60.0-8.mga5
+ Revision: 631236
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.60.0-7.mga4
+ Revision: 524842
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.60.0-6.mga4
+ Revision: 431575
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-5.mga3
+ Revision: 368129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.60.0-4.mga3
+ Revision: 250756
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.60.0-3.mga2
+ Revision: 104659
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.60.0-2.mga1
+ Revision: 30496
- mageia rebuild
- imported package perl-HTML-Strip

